Attribute VB_Name = "StrChan"

Function RusDosOther$(Text$, Code1%, Code2%)
'
'  Cyrillic converting:
' Code1% - source code number
' Code2% - result code number
'
'----------------------------------------------------
    SymInp$ = RusDosSet$(Code1%)
    SymOut$ = RusDosSet$(Code2%)
    RusDosOther$ = SymChange$(Text$, SymOut$, SymInp$)
End Function

Function RusDosSet$(Code%)
'
'  Cyrillic code number
'1 - Alternative Cyrillic (DOS, CP866)
'2 - MS Windows Cyrillic (CP1251)
'3 - UNIX Cyrillic (KOI8)
'4 - General Cyrillic (ISO 8859-5)
'5 - Macintosh Cyrillic (Apple's)
'6 - MIC Cyrillic (Bulgarian)
'''''''''''''''''''''''''''''''''

Const D$ = ""
Const W$ = ""
Const KOI8$ = ""
Const Cyr$ = ""
Const Mac$ = ""
Const Bul$ = ""
   
    Select Case Code%
      Case 1: RusDosSet$ = D$
      Case 2: RusDosSet$ = W$
      Case 3: RusDosSet$ = KOI8$
      Case 4: RusDosSet$ = Cyr$
      Case 5: RusDosSet$ = Mac$
      Case 6: RusDosSet$ = Bul$
    End Select
End Function

Function SymChange$(Text$, NewCode$, OldCode$)
'
'  String converting Text$:
'  OldCode$ -> NewCode$
'
' Attention! - LEN(NewCode$)=LEN(OldCode$)
'------------------------------------------------------
     Sym$ = Text$: Ltext% = Len(Text$)
     If Ltext% > 0 Then
       For i% = 1 To Ltext%
         k% = InStr(OldCode$, Mid$(Text$, i%, 1))
         If k% > 0 Then Mid$(Sym$, i%, 1) = Mid$(NewCode$, k%, 1)
       Next i%
     End If
     SymChange$ = Sym$
End Function

